Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2
Interface SourcePatientInfoType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SourcePatientInfoTypeImpl

    public interface SourcePatientInfoType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Source Patient Info Type'. This data structure is being used to represent demographic identifying information for a person (or patient) and is based on the HL7 v2.5 PID segment.

The following features are supported:

- `Patient Identifier`
- `Patient Name`
- `Patient Date Of Birth`
- `Patient Sex`
- `Patient Address`
- `Patient Phone Home`
- `Patient Phone Business`

See Also:
  `Hl7v2Package.getSourcePatientInfoType()`

Method Summary
`XAD` | `getPatientAddress()` Returns the value of the 'Patient Address' containment reference.
`java.lang.String` | `getPatientDateOfBirth()` Returns the value of the 'Patient Date Of Birth' attribute.
`org.eclipse.emf.common.util.EList` | `getPatientIdentifier()` Returns the value of the 'Patient Identifier' containment reference list.
`org.eclipse.emf.common.util.EList` | `getPatientName()` Returns the value of the 'Patient Name' containment reference list.
`XTN` | `getPatientPhoneBusiness()` Returns the value of the 'Patient Phone Business' containment reference.
`XTN` | `getPatientPhoneHome()` Returns the value of the 'Patient Phone Home' containment reference.
`java.lang.String` | `getPatientSex()` Returns the value of the 'Patient Sex' attribute.
`void` | `setPatientAddress(XAD value)` Sets the value of the '`Patient Address`' containment reference.
`void` | `setPatientDateOfBirth(java.lang.String value)` Sets the value of the '`Patient Date Of Birth`' attribute.
`void` | `setPatientPhoneBusiness(XTN value)` Sets the value of the '`Patient Phone Business`' containment reference.
`void` | `setPatientPhoneHome(XTN value)` Sets the value of the '`Patient Phone Home`' containment reference.
`void` | `setPatientSex(java.lang.String value)` Sets the value of the '`Patient Sex`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPatientIdentifier

    org.eclipse.emf.common.util.EList getPatientIdentifier()

  Returns the value of the 'Patient Identifier' containment reference list. The list contents are of type `CX`.

  If the meaning of the 'Patient Identifier' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Patient Identifier' containment reference list.
  See Also:
    `Hl7v2Package.getSourcePatientInfoType_PatientIdentifier()`

### getPatientName

    org.eclipse.emf.common.util.EList getPatientName()

  Returns the value of the 'Patient Name' containment reference list. The list contents are of type `XPN`.

  If the meaning of the 'Patient Name' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Patient Name' containment reference list.
  See Also:
    `Hl7v2Package.getSourcePatientInfoType_PatientName()`

### getPatientDateOfBirth

    java.lang.String getPatientDateOfBirth()

  Returns the value of the 'Patient Date Of Birth' attribute.

  If the meaning of the 'Patient Date Of Birth' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Patient Date Of Birth' attribute.
  See Also:
    `setPatientDateOfBirth(String)`, `Hl7v2Package.getSourcePatientInfoType_PatientDateOfBirth()`

### setPatientDateOfBirth

    void setPatientDateOfBirth(java.lang.String value)

  Sets the value of the '`Patient Date Of Birth`' attribute.

  Parameters:
    `value` - the new value of the 'Patient Date Of Birth' attribute.
  See Also:
    `getPatientDateOfBirth()`

### getPatientSex

    java.lang.String getPatientSex()

  Returns the value of the 'Patient Sex' attribute.

  If the meaning of the 'Patient Sex' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Patient Sex' attribute.
  See Also:
    `setPatientSex(String)`, `Hl7v2Package.getSourcePatientInfoType_PatientSex()`

### setPatientSex

    void setPatientSex(java.lang.String value)

  Sets the value of the '`Patient Sex`' attribute.

  Parameters:
    `value` - the new value of the 'Patient Sex' attribute.
  See Also:
    `getPatientSex()`

### getPatientAddress

    XAD getPatientAddress()

  Returns the value of the 'Patient Address' containment reference.

  If the meaning of the 'Patient Address' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Patient Address' containment reference.
  See Also:
    `setPatientAddress(XAD)`, `Hl7v2Package.getSourcePatientInfoType_PatientAddress()`

### setPatientAddress

    void setPatientAddress(XAD value)

  Sets the value of the '`Patient Address`' containment reference.

  Parameters:
    `value` - the new value of the 'Patient Address' containment reference.
  See Also:
    `getPatientAddress()`

### getPatientPhoneHome

    XTN getPatientPhoneHome()

  Returns the value of the 'Patient Phone Home' containment reference.

  If the meaning of the 'Patient Phone Home' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Patient Phone Home' containment reference.
  See Also:
    `setPatientPhoneHome(XTN)`, `Hl7v2Package.getSourcePatientInfoType_PatientPhoneHome()`

### setPatientPhoneHome

    void setPatientPhoneHome(XTN value)

  Sets the value of the '`Patient Phone Home`' containment reference.

  Parameters:
    `value` - the new value of the 'Patient Phone Home' containment reference.
  See Also:
    `getPatientPhoneHome()`

### getPatientPhoneBusiness

    XTN getPatientPhoneBusiness()

  Returns the value of the 'Patient Phone Business' containment reference.

  If the meaning of the 'Patient Phone Business' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Patient Phone Business' containment reference.
  See Also:
    `setPatientPhoneBusiness(XTN)`, `Hl7v2Package.getSourcePatientInfoType_PatientPhoneBusiness()`

### setPatientPhoneBusiness

    void setPatientPhoneBusiness(XTN value)

  Sets the value of the '`Patient Phone Business`' containment reference.

  Parameters:
    `value` - the new value of the 'Patient Phone Business' containment reference.
  See Also:
    `getPatientPhoneBusiness()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD